Home

# Class goog.string.html.HtmlSaxHandler

An interface to the {@code goog.string.html.HtmlParser} visitor, that gets called while the HTML is being parsed.

Instance Method Summary
| `cdata(string text)` Handler called when CDATA is found.
| `endDoc()` Handler called when the parsing is done.
| `endTag(string name)` Handler called when the parser found a closing tag.
| `pcdata(string text)` Handler called when PCDATA is found.
| `rcdata(string text)` Handler called when RCDATA is found.
| `startDoc()` Handler called when the parser is starting to parse the document.
| `startTag(string name, ?Array.<string> attributes)` Handler called when the parser found a new tag.